osl::rating::CheckGroup Struct Reference

`#include <group.h>`

Inheritance diagram for osl::rating::CheckGroup:

## Public Member Functions

| CheckGroup ()
void | show (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
int | findMatch (const NumEffectState &state, Move move, const RatingEnv &env) const
bool | effectiveInCheck () const
Public Member Functions inherited from osl::rating::Group
| Group (const std::string &name)
| Group (Feature *f)
virtual | ~Group ()
void | showMinMax (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showAll (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights) const
void | showTopN (std::ostream &os, int name_width, const range_t &range, const std::vector< double > &weights, int n) const
void | saveResult (const std::string &directory, const range_t &range, const std::vector< double > &weights) const
bool | load (const std::string &directory, const range_t &range, std::vector< double > &weights) const

## Additional Inherited Members

Public Attributes inherited from osl::rating::Group
std::string | group_name

## Detailed Description

Definition at line 68 of file group.h.

## Constructor & Destructor Documentation

## CheckGroup()

osl::rating::CheckGroup::CheckGroup | ( |  | ) |

inline

Definition at line 70 of file group.h.

References osl::rating::Group::Group().

## Member Function Documentation

## effectiveInCheck()

bool osl::rating::CheckGroup::effectiveInCheck | ( |  | ) | const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 93 of file group.h.

## findMatch()

int osl::rating::CheckGroup::findMatch | ( | const NumEffectState & | state,
|  | Move | m,
|  | const RatingEnv & | env ) const

inline virtual

Returns
  -1 if not found

Reimplemented from osl::rating::Group.

Definition at line 81 of file group.h.

References osl::NumEffectState::isDirectCheck(), osl::NumEffectState::isOpenCheck(), osl::rating::Check::openLong(), osl::rating::RatingEnv::progress, and osl::progress::ProgressN< N >::value().

## show()

void osl::rating::CheckGroup::show | ( | std::ostream & | os,
|  | int | name_width,
|  | const range_t & | range,
|  | const std::vector< double > & | weights ) const

inline virtual

Reimplemented from osl::rating::Group.

Definition at line 76 of file group.h.

References osl::rating::Group::showAll().

The documentation for this struct was generated from the following file:

- group.h